Subject: Re: SDRAM failures on MPC5200B

From: lokowich <[email-masked]>
Date: Tue, 13 Nov 2007 07:59:56 -0600

A follow-up:  The first version of our termination network was based on 
the Lite5200 reference design, but was confirmed by Freescale to be 
inadequate.  We revised the hardware per their errata, terminating both 
ends of the data bus.  This fixed the problem.  Thanks for the helpful 
feedback.

Mark

lokowich wrote:
> We're working on bringing up a MPC5200B version of our original 
> MPC5200 board using U-Boot 1.1.4 configured for Icecube/Lite5200B.  
> Other than the CPU, the board is identical.  The bootloader crashes 
> just after relocation to RAM, often with a Program Check Exception, 
> typically a memory corruption issue.  I noticed failures at different 
> stages after relocation based on content, suggesting problems with 
> upper SDRAM.  If I force the initram to 1/2 the determined size (64MB 
> instead of 128MB), then everything works well through kernel load and 
> initialization.  We've added termination resistors to improve AD 
> signals, to no avail.  Memory tests work fine too.  Any help is 
> appreciated.
>
> Thanks,
> Mark Lokowich
> Systems Engineer
> Advanced Communication Design
> 7901 12th Ave. So.
> Bloomington, MN 55425
> 952-854-4000
> [email-masked]
> This email was Anti Virus checked by Astaro Security Gateway. http://www.astaro.com
> This email was Anti Virus checked by Astaro Security Gateway. http://www.astaro.com
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded